summaryrefslogtreecommitdiff
path: root/t/t7004-tag.sh
diff options
context:
space:
mode:
authorLibravatar Junio C Hamano <gitster@pobox.com>2007-11-14 14:06:09 -0800
committerLibravatar Junio C Hamano <gitster@pobox.com>2007-11-14 14:06:09 -0800
commitef4de8357dff57d403073572e8b260618bd03175 (patch)
tree3cdea53d0ba735b71cefe8b5c4e0af9e34ca0988 /t/t7004-tag.sh
parentMerge branch 'jc/stash-create' (diff)
parentAdd tests for git tag (diff)
downloadtgif-ef4de8357dff57d403073572e8b260618bd03175.tar.xz
Merge branch 'mh/retag'
* mh/retag: Add tests for git tag Reuse previous annotation when overwriting a tag
Diffstat (limited to 't/t7004-tag.sh')
-rwxr-xr-xt/t7004-tag.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/t/t7004-tag.sh b/t/t7004-tag.sh
index 0d07bc39c7..096fe33b07 100755
--- a/t/t7004-tag.sh
+++ b/t/t7004-tag.sh
@@ -1004,4 +1004,20 @@ test_expect_failure \
'verify signed tag fails when public key is not present' \
'git-tag -v signed-tag'
+test_expect_success \
+ 'message in editor has initial comment' '
+ GIT_EDITOR=cat git tag -a initial-comment > actual || true &&
+ test $(sed -n "/^\(#\|\$\)/p" actual | wc -l) -gt 0
+'
+
+get_tag_header reuse $commit commit $time >expect
+echo "An annotation to be reused" >> expect
+test_expect_success \
+ 'overwriting an annoted tag should use its previous body' '
+ git tag -a -m "An annotation to be reused" reuse &&
+ GIT_EDITOR=true git tag -f -a reuse &&
+ get_tag_msg reuse >actual &&
+ git diff expect actual
+'
+
test_done